local GetItemInfo = GetItemInfo
local GetItemQualityColor = GetItemQualityColor

local TooltipItem = function(self, ...)
	local name, item, link = self:GetItem();
	local None
	----------------
	-- Herbs part --
	----------------
	for HerbName2, HerbResult2 in pairs(T_Herb2) do
		if(name == HerbName2) then H_Pc  = true; break else H_Pc = false; end
								-- H_Pc = PercentCheck
	end
	for HerbName, HerbResult in pairs(T_Herb) do
		if(name == HerbName) then
			local r,g,b = 0,1,0.5
			-- local _, item, quality = GetItemInfo(item)
			self:AddLine(" ")
			self:AddLine("Milling result:  "..HerbResult[3],r,g,b)
			self:AddLine(T_Milling[HerbResult[1]]..T_Text[1],r,g,b)
			
			if(not ((name == "Earthroot") or (name == "Peacebloom") or (name == "Silverleaf")))then
				if(H_Pc) then
					self:AddLine(T_Milling[HerbResult[2]]..T_Text[3],r,g,b)
				else
					self:AddLine(T_Milling[HerbResult[2]]..T_Text[5],r,g,b)
				end
			end
		end
	end

	----------------------
	-- Prospecting part --
	----------------------
	for T_OreName, T_OreResult in pairs(T_TotalOre_List) do
		if(name == T_OreName) then
			local r,g,b = 1,0.5,0
			self:AddLine(" ")
			self:AddLine("Prospecting result:  "..T_OreResult[1],r,g,b)
		end
	end
	
	-- 100%
	for OreName, OreResult in pairs(T_Ores) do
		if(name == OreName) then
			local r,g,b = 1,0.5,0
			self:AddLine(T_Pros[OreResult[1]]..T_Text[1],r,g,b)
		end
	end
	
	-- ±75%
	for OreName2, OreResult2 in pairs(T_Ores2) do
		if(name == OreName2) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult2,1 do
				self:AddLine(T_Pros[OreResult2[i]]..T_Text[2],r,g,b)
			end
		end
	end
	
	-- ±50%
	for OreName3, OreResult3 in pairs(T_Ores3) do
		if(name == OreName3) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult3,1 do
				self:AddLine(T_Pros[OreResult3[i]]..T_Text[3],r,g,b)
			end
		end
	end
	
	-- ±35%
	for OreName4, OreResult4 in pairs(T_Ores4) do
		if(name == OreName4) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult4,1 do
				self:AddLine(T_Pros[OreResult4[i]]..T_Text[4],r,g,b)
			end
		end
	end
	
	-- ±25%
	for OreName5, OreResult5 in pairs(T_Ores5) do
		if(name == OreName5) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult5,1 do
				self:AddLine(T_Pros[OreResult5[i]]..T_Text[5],r,g,b)
			end
		end
	end
	
	-- ±15%
	for OreName6, OreResult6 in pairs(T_Ores6) do
		if(name == OreName6) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult6,1 do
				self:AddLine(T_Pros[OreResult6[i]]..T_Text[6],r,g,b)
			end
		end
	end
	
	-- ±10%
	for OreName7, OreResult7 in pairs(T_Ores7) do
		if(name == OreName7) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult7,1 do
				self:AddLine(T_Pros[OreResult7[i]]..T_Text[7],r,g,b)
			end
		end
	end
	
	-- ±1.5%
	for OreName8, OreResult8 in pairs(T_Ores8) do
		if(name == OreName8) then
			local r,g,b = 1,0.5,0
			for i=1,#OreResult8,1 do
				self:AddLine(T_Pros[OreResult8[i]]..T_Text[8],r,g,b)
			end
		end
	end
end

for _, obj in next, {
	GameTooltip,
	ShoppingTooltip1,
	ShoppingTooltip2,
	ShoppingTooltip3,
	ItemRefTooltip,
} do
	obj:HookScript("OnTooltipSetItem", TooltipItem)
end